> For the complete documentation index, see [llms.txt](https://docs.nebulablock.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nebulablock.com/overview/platform_api/create_api_key/list_api_keys.md).

# List API Keys

Retrieves a list of your API keys.

## HTTP Request

`GET` `{API_URL}/api_keys`

## Response Attributes

#### data `list`

Returns the `data` array of objects, each containing details about your API keys.

Each API key has the following properties:

* `id`: The ID of the API key. This is the ID field that is used for the [Delete API Key](/overview/platform_api/create_api_key/delete_api_key.md) endpoint.
* `name`: The name of the API key.
* `description`: An optional description of the API key.
* `partial_key_data`: The prefix of each API key. This is the same across all API keys and doesn't show the raw API key value for security reasons.

#### status `string`

Indicates the result of the request to list your API keys. `success` signifies success, while `failed` indicates an error.

#### message `string`

A description of the status of the request.

## Example

#### Request

```bash
curl -X GET '{API_URL}/api_keys' \
-H 'Authorization: Bearer {TOKEN/KEY}'
```

#### Response

```json
{
    "data": [
        {
            "id": 5,
            "name": "api-test-key",
            "description": "This is the test API key",
            "partial_key_data": "ak_..."
        },
        {
            "id": 6,
            "name": "api-test-key2",
            "description": "This is the test API key #2",
            "partial_key_data": "ak_..."
        }
    ],
    "message": "API keys successfully retrieved",
    "status": "success"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nebulablock.com/overview/platform_api/create_api_key/list_api_keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
